<html lang="en">
<head>
<title>Camera - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Global-environment.html#Global-environment" title="Global environment">
<link rel="prev" href="Global-options.html#Global-options" title="Global options">
<link rel="next" href="Picture-box.html#Picture-box" title="Picture box">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Camera"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Picture-box.html#Picture-box">Picture box</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Global-options.html#Global-options">Global options</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Global-environment.html#Global-environment">Global environment</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.4.2 Camera</h4>

<p><a name="index-camera-379"></a><strong>Syntax:</strong>
<a name="index-camera-380"></a>
<pre class="example">     camera <var>transform_expression</var>
</pre>
   <p>The <var>transform_expression</var> is applied after all other
transformations of the scene.  This is currently only useful for
transforming the bounding box.  See <a href="Picture-box.html#Picture-box">Picture box</a>.  It will play a
role in any future implementation of clipping.

   </body></html>

